/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IAEQKEY_H
#define _IAEQKEY_H

#include <iglobals.h>
#include <icursor.h>
#include <iaequal.h>
#include <iakey.h>

template < class Element, class Key >
class IAEqualityKeyCollection :
  public virtual IAEqualityCollection < Element >,
  public virtual IAKeyCollection < Element, Key > {
public:

};

#endif
