/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
template <class Element, class Key>
IBoolean IAKeyCollection < Element, Key >::
containsAllKeysFrom (IACollection < Element > const& collection) const
{ IBoolean result = True;
  ICursor *cursor = collection.newCursor ();
  forCursor (*cursor) {
    if (! containsElementWithKey (key (collection.elementAt (*cursor)))) {
      result = False;
      break;
    }
  }
  delete cursor;
  return result;
};

