/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ICURSOR_H
#define _ICURSOR_H

#include <iglobals.h>

class ICursor {
public:
  virtual       ~ICursor ();
  virtual        IBoolean  setToFirst () = 0;
  virtual        IBoolean  setToNext () = 0;
  virtual        IBoolean  isValid () const = 0;
  virtual        void     invalidate () = 0;
};

#define forCursor(c) for ((c).setToFirst (); (c).isValid (); (c).setToNext ())

#endif
