#ifndef _IDIEVT_INL_
#define _IDIEVT_INL_ 0
/*******************************************************************************
* FILE NAME: idievt.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in idievt.hpp                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IDIEVT_
  #undef  _IDIEVT_INL_
  #define _IDIEVT_INL_ 1
  #include <idievt.hpp>
#endif

#if _IDIEVT_INL_
  #define inline
#endif

inline void* IDrawItemEvent::ownerItemData() const
/***************************************************************/
/* Retruns OWNERITEM structure as void*                        */
/***************************************************************/
{ return pvOwnerItem; }

#endif // _IDIEVT_INL_
