#ifndef _IDMOPER_INL_
  #define _IDMOPER_INL_ 0
/*******************************************************************************
* FILE NAME: idmoper.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in idmoper.hpp.                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IDMOPER_
  #undef  _IDMOPER_INL_
  #define _IDMOPER_INL_ 1
  #include <idmoper.hpp>
#endif

#ifndef _IDMSRCOP_
  #include <idmsrcop.hpp>
#endif

#ifndef _IDMTGTOP_
  #include <idmtgtop.hpp>
#endif

#if _IDMOPER_INL_
  #define inline
#endif


/*------------------------------------------------------------------------------
| Inlines for IDMOperation                                                     |
------------------------------------------------------------------------------*/
inline IContainerObject* IDMOperation :: containerObject() const
{
  return (this->pCnrObj);
}

inline _DRAGINFO* IDMOperation :: dragInfo() const
{
  return (this->pPMDragInfo);
}

#endif //_IDMOPER_INL_
