#ifndef _IFONT_INL_
#define _IFONT_INL_ 0
/*******************************************************************************
* FILE NAME: ifont.inl                                                         *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ifont.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IFONT_
  #undef  _IFONT_INL_
  #define _IFONT_INL_ 1
  #include <ifont.hpp>
#endif


#if _IFONT_INL_
  #define inline
#endif


inline const struct _FATTRS* IFont :: fattrs () const
{
   return pfattrsCl;

}

inline const struct _FONTMETRICS* IFont :: fontmetrics () const
{
   return pfontmetCl;

}

#endif // _IFONT_INL_
