#ifndef _IHANDLER_INL_
#define _IHANDLER_INL_ 0
/*******************************************************************************
* FILE NAME: ihandler.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ihandler.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IHANDLER_
  #undef  _IHANDLER_INL_
  #define _IHANDLER_INL_ 1
  #include <ihandler.hpp>
#endif

#if _IHANDLER_INL_
  #define inline
#endif

inline IBase::Boolean IHandler :: isEnabled ( ) const
  { 
  return this->active;
  }

#endif // _IHANDLER_INL_
