/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IITER_H
#define _IITER_H

#include <isynonym.hpp>

template < class Element >
class IIterator {
public:
  virtual IBoolean applyTo (Element&) = 0;
};

template < class Element >
class IConstantIterator {
public:
  virtual IBoolean applyTo (Element const&) = 0;
};

#endif
