/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IKEYBAG_H
#define _IKEYBAG_H

#include <ihshkb.h>

template < class Element, class Key, class ElementOps >
class IGKeyBag : public IGHashKeyBag < Element, Key, ElementOps > {
public:
  IGKeyBag (INumber n = 100) :
    IGHashKeyBag < Element, Key, ElementOps > (n) {}
};

template < class Element, class Key >
class IKeyBag : public IHashKeyBag < Element, Key > {
public:
  IKeyBag (INumber n = 100) :
    IHashKeyBag < Element, Key > (n) {}
};

#endif
