#ifndef _IMENUBAR_INL_
#define _IMENUBAR_INL_ 0
/*******************************************************************************
* FILE NAME: imenubar.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in imenubar.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IMENUBAR_
  #undef  _IMENUBAR_INL_
  #define _IMENUBAR_INL_ 1
  #include <imenubar.hpp>
#endif

#if _IMENUBAR_INL_
  #define inline
#endif

inline void  IMenuBar :: setDefaultStyle( const IMenuBar::Style& newDefault)
/***************************************************************/
/* Replace the default style for new  objects.                 */
/***************************************************************/
{
  currentDefaultStyle = newDefault;
}

#endif // _IMENUBAR_INL_
