#ifndef _IMPRINTF_
#define _IMPRINTF_
/*******************************************************************************
* FILE NAME: imprintf.h                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// Define a macro to convert all occurrences of the "printf" library
// call name to call the internal program.  This is required do the
// the problem of duplicate symbol definition errors from the linker.
// #define printf imprintf

// Here's the prototype for the internal "printf" work-a-like function
// int _cdecl imprintf(const char *,...);
extern "C" int  imprintf(const char *,...);

#define IC_PRINTFMAXLEN  1024

#endif
