#ifndef _IPAINEVT_INL_
#define _IPAINEVT_INL_ 0
/*******************************************************************************
* FILE NAME: ipainevt.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ipainevt.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IPAINEVT_
  #undef  _IPAINEVT_INL_
  #define _IPAINEVT_INL_ 1
  #include <ipainevt.hpp>
#endif

#if _IPAINEVT_INL_
  #define inline
#endif

/*------------------------------- IPaintEvent --------------------------------*/
inline const IPresSpaceHandle & IPaintEvent :: presSpaceHandle ( ) const
  {
  return hpsCl;
  }
inline const IRectangle & IPaintEvent :: rect ( ) const
  {
  return rectCl;
  }
inline IPaintEvent & IPaintEvent :: clearBackground ( const IColor& background )
  {
  return clearBackground(rectCl, background);
  }

#endif /* _IPAINEVT_INL_ */
