/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ISEQ_H
#define _ISEQ_H

#include <ilnseq.h>

template < class Element, class ElementOps >
class IGSequence : public IGLinkedSequence < Element, ElementOps > {
public:
  IGSequence (INumber n = 100) :
    IGLinkedSequence < Element, ElementOps > (n) {}
};

template < class Element >
class ISequence : public ILinkedSequence < Element > {
public:
  ISequence (INumber n = 100) :
    ILinkedSequence < Element > (n) {}
};

#endif
