/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
template <class Element, class ElementOps, class Base>
IBoolean IWSetOnKeySet <Element, ElementOps, Base>::
isContained (Element const& element, void* env) {
  return (*(IWSetOnKeySet <Element, ElementOps, Base>**) env)
           ->contains (element);
}

template <class Element, class ElementOps, class Base>
IBoolean IWSetOnKeySet <Element, ElementOps, Base>::
isNotContained (Element const& element, void* env) {
  return ! (*(IWSetOnKeySet <Element, ElementOps, Base>**) env)
             ->contains (element);
}
