#ifndef _ISTRTEST_INL_
#define _ISTRTEST_INL_ 0
/*******************************************************************************
* FILE NAME: istrtest.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in istrtest.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ISTRTEST_
  #undef  _ISTRTEST_INL_
  #define _ISTRTEST_INL_ 1
  #include <istrtest.hpp>
#endif

#if _ISTRTEST_INL_
  #define inline
#endif

#if 0
inline IStringTest :: IStringTest ( CPPFunction &cppfunc )
  : type( cpp )
  {
  data.cppFn =  &cppfunc;
  }
#endif

inline IStringTest :: IStringTest ( FnType typ, void *p )
  : type( typ )
  {
  data.user = p;
  }

#endif // _ISTRTEST_INL_
