/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ITCURSOR_H
#define _ITCURSOR_H

#include "iglobals.h"

class ITreeCursor {
public:
  virtual IBoolean setToRoot () = 0;
  virtual IBoolean setToChild (IPosition) = 0;
  virtual IBoolean setToParent () = 0;
  virtual IBoolean setToFirstExistingChild () = 0;
  virtual IBoolean setToNextExistingChild () = 0;
  virtual IBoolean setToLastExistingChild () = 0;
  virtual IBoolean setToPreviousExistingChild  () = 0;
  virtual IBoolean isValid () const = 0;
  virtual void    invalidate () = 0;
};

#endif
