#ifndef _ITHREAD_INL_
#define _ITHREAD_INL_ 0
/*******************************************************************************
* FILE NAME: ithread.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ithread.hpp.                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ITHREAD_
  #undef  _ITHREAD_INL_
  #define _ITHREAD_INL_ 1
  #include <ithread.hpp>
#endif

#if _ITHREAD_INL_
  #define inline
#endif

inline unsigned long IThread :: defaultStackSize ( )
  {
  return IThread::dfltStackSize;
  }
inline void IThread :: setDefaultStackSize ( unsigned long newStkSize )
  {
  IThread::dfltStackSize = newStkSize;
  }
inline void IThread :: setDefaultAutoInitPM ( Boolean newFlag )
  {
  IThread::dfltAutoInitPM = newFlag;
  }
inline long IThread :: defaultQueueSize ( )
  {
  return IThread::dfltQueueSize;
  }
inline void IThread :: setDefaultQueueSize ( long newQSize )
  {
  IThread::dfltQueueSize = newQSize;
  }
#endif // _ITHREAD_INL_
