/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ITREE_H
#define _ITREE_H

#include <itbtre.h>

template < class Element, class ElementOps, INumber numberOfChildren >
class IGTree : public IGTabularTree < Element, ElementOps, numberOfChildren > {
};

template < class Element, INumber numberOfChildren >
class ITree : public ITabularTree < Element, numberOfChildren > {
};

#endif
