#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifdef __cplusplus
   extern "C" {
#endif

/********************************************************************/
/*  <assert.h> header file                                          */
/*                                                                  */
/*  Licensed Materials - Property of IBM                            */
/*                                                                  */
/*  IBM C/C++ Tools Version 2.01                                    */
/*  Copyright (C) International Business Machines Corp., 1991,1993  */
/*  All rights reserved                                             */
/*                                                                  */
/*  US Government Users Restricted Rights -                         */
/*  Use, duplication, or disclosure restricted                      */
/*  by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                  */
/********************************************************************/

#ifndef NDEBUG

   #ifdef assert
      #undef assert
   #endif

   void _Optlink _assert( const char *, const char *, unsigned int );

   #define assert( expr ) \
      ( ( expr ) ? ( void )0 : _assert( #expr, __FILE__, __LINE__ ) )

#else

   #ifdef assert
      #undef assert
   #endif

   #define assert( ignore ) ( ( void )0 )

#endif

#ifdef __cplusplus
   }
#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
