#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __io_h
   #define __io_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <io.h> header file                                              */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #if ( defined(__SPC__) || defined(__EXTENDED__) )

      int  _Optlink _access( const char *, int );
      int  _Optlink _chmod( const char *, int );
      int  _Optlink _chsize( int, long );
      int  _Optlink _close( int );
      int  _Optlink _creat( const char *, int );
      int  _Optlink _dup( int );
      int  _Optlink _dup2( int, int );
      int  _Optlink __eof( int );
      long _Optlink _filelength( int );
      int  _Optlink _isatty( int );
      long _Optlink _lseek( int, long, int );
      int  _Optlink _open( const char *, int, ... );
      int  _Optlink _read( int, void *, unsigned int );
      int  _Optlink remove( const char * );
      int  _Optlink rename( const char *, const char * );
      int  _Optlink _sopen( const char *, int, int, ... );
      long _Optlink _tell( int );
      int  _Optlink _umask( int );
      int  _Optlink _unlink( const char * );
      int  _Optlink _write( int, const void *, unsigned int );
      int  _Optlink _setmode(int handle, int mode);

      int  _Optlink  access( const char *, int );
      int  _Optlink  chmod( const char *, int );
      int  _Optlink  chsize( int, long );
      int  _Optlink  close( int );
      int  _Optlink  creat( const char *, int );
      int  _Optlink  dup( int );
      int  _Optlink  dup2( int, int );
      int  _Optlink  eof( int );
      long _Optlink  filelength( int );
      int  _Optlink  isatty( int );
      long _Optlink  lseek( int, long, int );
      int  _Optlink  open( const char *, int, ... );
      int  _Optlink  read( int, void *, unsigned int );
      int  _Optlink  sopen( const char *, int, int, ... );
      long _Optlink  tell( int );
      int  _Optlink  umask( int );
      int  _Optlink  unlink( const char * );
      int  _Optlink  write( int, const void *, unsigned int );
      int  _Optlink  setmode(int handle, int mode);

      #pragma map( access    , "_access"     )
      #pragma map( chmod     , "_chmod"      )
      #pragma map( chsize    , "_chsize"     )
      #pragma map( close     , "_close"      )
      #pragma map( creat     , "_creat"      )
      #pragma map( dup       , "_dup"        )
      #pragma map( dup2      , "_dup2"       )
      #pragma map( eof       , "__eof"       )
      #pragma map( filelength, "_filelength" )
      #pragma map( isatty    , "_isatty"     )
      #pragma map( lseek     , "_lseek"      )
      #pragma map( open      , "_open"       )
      #pragma map( read      , "_read"       )
      #pragma map( sopen     , "_sopen"      )
      #pragma map( tell      , "_tell"       )
      #pragma map( umask     , "_umask"      )
      #ifndef __unlink
         #define __unlink
         #pragma map( unlink    , "_unlink"     )
      #endif
      #pragma map( write     , "_write"      )
      #pragma map( setmode   , "_setmode"    )

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKDHR__
   #pragma info( restore )
#endif
#pragma info( restore )
