#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __locale_h
   #define __locale_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <locale.h> header file                                          */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #ifndef NULL
      #if (defined(__EXTENDED__)  || defined( __cplusplus ))
         #define NULL 0
      #else
         #define NULL ((void *)0)
      #endif
   #endif

   /* Categories */

   #define LC_ALL       (-1)
   #define LC_COLLATE    0
   #define LC_CTYPE      1
   #define LC_NUMERIC    2
   #define LC_MONETARY   3
   #define LC_TIME       4
   #define LC_TOD        5

   /* Locales */

   #define LC_C          "C"
   #define LC_C_GERMANY  "GERM"
   #define LC_C_FRANCE   "FRAN"
   #define LC_C_UK       "UK"
   #define LC_C_ITALY    "ITAL"
   #define LC_C_SPAIN    "SPAI"
   #define LC_C_USA      "USA"

   /******************************************************************/
   /* These 3 defines are only used for Giverny Version J1.0 only.   */
   /******************************************************************/

   #define LC_C_JAPAN    "JAPN"
   #define LC_C_JAPAN2   "JAP2"
   #define LC_C_JAPAN3   "JAP3"

   #pragma pack( 1 )
   struct lconv
      {
      char * decimal_point;
      char * thousands_sep;
      char * grouping;
      char * int_curr_symbol;
      char * currency_symbol;
      char * mon_decimal_point;
      char * mon_thousands_sep;
      char * mon_grouping;
      char * positive_sign;
      char * negative_sign;
      char   int_frac_digits;
      char   frac_digits;
      char   p_cs_precedes;
      char   p_sep_by_space;
      char   n_cs_precedes;
      char   n_sep_by_space;
      char   p_sign_posn;
      char   n_sign_posn;
      };
   #pragma pack( )

   /* Prototype definitions */

   char         * _Optlink setlocale( int, const char * );
   struct lconv * _Optlink localeconv( void );

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
