#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __stddef_h
   #define __stddef_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <stddef.h> header file                                          */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   typedef int ptrdiff_t;

   #ifndef __size_t
      #define __size_t
      typedef unsigned int size_t;
   #endif

   #ifndef __wchar_t
      #define __wchar_t
      typedef unsigned short wchar_t;
   #endif

   #ifndef NULL
      #if (defined(__EXTENDED__)  || defined( __cplusplus ))
         #define NULL 0
      #else
         #define NULL ((void *)0)
      #endif
   #endif

   #ifdef __cplusplus
      #define offsetof(s_name, s_member) (size_t)&(((s_name *)0)->s_member)
   #else
      #define offsetof( x, y ) __offsetof( x, y )
   #endif

   #if defined(__EXTENDED__)

      #ifndef errno
         #ifdef __MULTI__
            int * _Optlink _errno( void );
            #pragma info( none )
            #define errno (*_errno( ))
            #pragma info( restore )
         #else
            extern int errno;
            #pragma info( none )
            #define errno errno
            #pragma info( restore )
         #endif
      #endif

      #ifdef __MULTI__
         unsigned * _Optlink __threadid( void );
         #define _threadid (__threadid( ))
      #endif

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
