#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __wcstr_h
   #define __wcstr_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <wcstr.h> header file                                           */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #ifndef __ANSI__

      #ifndef __size_t
         #define __size_t
         typedef unsigned int size_t;
      #endif

      #ifndef NULL
         #if (defined(__EXTENDED__)  || defined( __cplusplus ))
            #define NULL 0
         #else
            #define NULL ((void *)0)
         #endif
      #endif


      #ifndef __wchar_t
         #define __wchar_t
         typedef unsigned short wchar_t;
      #endif

      wchar_t * _Optlink wcscat( wchar_t *, const wchar_t * );
      wchar_t * _Optlink wcschr( const wchar_t *, wchar_t );
      int       _Optlink wcscmp( const wchar_t *, const wchar_t * );
      wchar_t * _Optlink wcscpy( wchar_t *, const wchar_t * );
      size_t    _Optlink wcscspn( const wchar_t *, const wchar_t * );
      size_t    _Optlink wcslen( const wchar_t * );
      wchar_t * _Optlink wcsncat( wchar_t *, const wchar_t *, size_t );
      int       _Optlink wcsncmp( const wchar_t *, const wchar_t *, size_t );
      wchar_t * _Optlink wcsncpy( wchar_t *, const wchar_t *, size_t );
      wchar_t * _Optlink wcspbrk( const wchar_t *, const wchar_t * );
      wchar_t * _Optlink wcsrchr( const wchar_t *, wchar_t );
      size_t    _Optlink wcsspn( const wchar_t *, const wchar_t * );
      wchar_t * _Optlink wcswcs( const wchar_t *, const wchar_t * );

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
