#ifndef AHELLOWINDOW_H
#define AHELLOWINDOW_H
/******************************************************************************/
/* HELLO WORLD SAMPLE PROGRAM - Version 2: Symbolic Definitions (AHELLOW2.H)  */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
// NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE
//******************************************************************************
// window IDs - Used by IWindow constructors, such as IStaticText and          *
//               AHelloWindow.                                                 *
//******************************************************************************
#define WND_MAIN         0x1000         //Main window ID

#define WND_HELLO        0x1010         //Hello World window ID
#define WND_INFO         0x1012         //Information area ID                 v2

//**************************************************************************  v2
// string IDs - Used to relate resources to IStaticText and ITitle.        *   .
//**************************************************************************  v2
#define STR_HELLO        0x1200         //Hello World string ID               v2
#define STR_INFO         0x1220         //Information area string ID          v2

#endif
