#*******************************************************************************
#* SAMPLE PROJECT: AMAKE5.MAK                                                  *
#*                                                                             *
#* COPYRIGHT:                                                                  *
#* ----------                                                                  *
#* Copyright (C) International Business Machines Corp., 1991,1992,1993.        *
#*                                                                             *
#* DISCLAIMER OF WARRANTIES:                                                   *
#* -------------------------                                                   *
#* The following [enclosed] code is sample code created by IBM                 *
#* Corporation.  This sample code is not part of any standard IBM product      *
#* and is provided to you solely for the purpose of assisting you in the       *
#* development of your applications.  The code is provided "AS IS",            *
#* without warranty of any kind.  IBM shall not be liable for any damages      *
#* arising out of your use of the sample code, even if they have been          *
#* advised of the possibility of such damages.                                 *
#*                                                                             *
#*******************************************************************************

# IBM Developer's Workframe/2 Make File Creation run at 09:57:26 on 09/22/93

# Make File Creation run in directory:
#   IBM C Set++ target_directory\IBMCPP\SAMPLES\ICLUI\HELLO5;

# Assumed INCLUDE environment variable path:
#   IBM C Set++ target_directory\include;
#   Toolkit 2.1 include path;

.SUFFIXES:

.SUFFIXES: .c .cpp .cxx .rc .ipf

ALL: HELLO5.EXE \
     AHELLOW5.HLP \
     AHELLOW5.RES

HELLO5.EXE:  \
  ADIALOG5.OBJ \
  AEARTHW5.OBJ \
  AHELLOW5.OBJ \
  AHELLOW5.RES \
  AMAKE5.MAK
   ICC.EXE @<<
 /B" /pmtype:pm"
 /Fe"HELLO5.EXE" dde4muii.lib dde4cci.lib 
ADIALOG5.OBJ 
AEARTHW5.OBJ 
AHELLOW5.OBJ
<<
   RC AHELLOW5.RES HELLO5.EXE

{.}.rc.res:
   RC -r .\$*.RC

{.}.ipf.hlp:
   IPFC .\$*.IPF

{.}.c.obj:
   ICC.EXE /Gm /Gd /C   .\$*.c

{.}.cpp.obj:
   ICC.EXE /Gm /Gd /C   .\$*.cpp

{.}.cxx.obj:
   ICC.EXE /Gm /Gd /C   .\$*.cxx

!include AMAKE5.DEP
