#ifndef ASETCV_H
#define ASETCV_H
/******************************************************************************/
/* Canvas Classes Example 2 - Set Canvas                                      */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
/* NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE          */
/******************************************************************************/

#define NUMBER_OF_BUTTONS    14

#define WND_MAIN             0x1000      // window id of main window

#define WND_STATUS           0x1001      // window id of child controls
#define WND_SPLITCANVAS      0x1002
#define WND_VSETCANVAS       0x1003
#define WND_HSETCANVAS       0x1004
#define WND_BUTTON           0x1010

#define STR_STATUS           0x2000      // string table ids
#define STR_VSETCANVAS       0x2001
#define STR_HSETCANVAS       0x2002
#define STR_TEXT             0x2003

#endif
