/******************************************************************************/
/*                                                                            */
/* COPYRIGHT:                                                                 */
/* ----------                                                                 */
/* Copyright (C) International Business Machines Corp., 1991,1992.            */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/* -------------------------                                                  */
/* The following [enclosed] code is sample code created by IBM                */
/* Corporation.  This sample code is not part of any standard IBM product     */
/* and is provided to you solely for the purpose of assisting you in the      */
/* development of your applications.  The code is provided "AS IS",           */
/* without warranty of any kind.  IBM shall not be liable for any damages     */
/* arising out of your use of the sample code, even if they have been         */
/* advised of the possibility of such damages.                                */
/*                                                                            */
/******************************************************************************/
#include <tstring.h>
#include <iglobals.h>
#include <person.h>

#include <iseq.h>
typedef ISequence <Person>  People;

int main () {
        People people;
   try{
        people.add("J. Uhl");
        people.add("M. Blum");
        people.add("T. Wappler");
        people.add("F. Seliger");
        people.add("H. Wingert");
        people.add("C. Ludwig");

//      people.addAtPosition(100,"K. Liegert");
        people.addAsLast("K. Liegert");


      }
     catch (IException & iException){
         cout << iException.name();
         return 1;
     }
        return 0;
}
