/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IAEQKSRT_H
#define _IAEQKSRT_H

#include <iglobals.h>
#include <icursor.h>
#include <iaeqkey.h>
#include <iaeqsrt.h>
#include <iaksrt.h>

template < class Element, class Key >
class IAEqualityKeySortedCollection :
  public virtual IAEqualityKeyCollection < Element, Key >,
  public virtual IAEqualitySortedCollection < Element >,
  public virtual IAKeySortedCollection < Element, Key > {
public:

};

#endif
