/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IASEQ_H
#define _IASEQ_H

#include <iglobals.h>
#include <icursor.h>
#include <iasqntl.h>

template < class Element >
class IASequence : public virtual IASequentialCollection < Element > {
public:

  virtual long           compare                     (IASequence < Element > const&,
                                               long (*comparisonFunction)
                                                  (Element const&,
                                                  Element const&)) const;

protected:

};

#ifdef __IBMCPP__
#ifndef __TEMPINC__
#include <iaseq.c>
#endif
#endif

#endif
