/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IBEXCEPT_H
#define _IBEXCEPT_H

#include <stdlib.h>
#include <iglobals.h>
#include <iexcbase.hpp>
#include <ibexctxt.h>

IEXCLASSDECLARE(IPreconditionViolation,IException);
  IEXCLASSDECLARE(IFullException,IPreconditionViolation);
  IEXCLASSDECLARE(IEmptyException,IPreconditionViolation);
  IEXCLASSDECLARE(INotEmptyException,IPreconditionViolation);
  IEXCLASSDECLARE(INotBoundedException,IPreconditionViolation);
  IEXCLASSDECLARE(ICursorInvalidException,IPreconditionViolation);
  IEXCLASSDECLARE(IPositionInvalidException,IPreconditionViolation);
  IEXCLASSDECLARE(INotContainsKeyException,IPreconditionViolation);
  IEXCLASSDECLARE(IKeyAlreadyExistsException,IPreconditionViolation);
  IEXCLASSDECLARE(IRootAlreadyExistsException,IPreconditionViolation);
  IEXCLASSDECLARE(IChildAlreadyExistsException,IPreconditionViolation);
  IEXCLASSDECLARE(IIdenticalCollectionException,IPreconditionViolation);
  IEXCLASSDECLARE(IInvalidReplacementException,IPreconditionViolation);

#define ICHECK(test, exc, msgID) if (! (test)) {IBExceptionText msgText(msgID); exc e (msgText); ITHROW (e); }

#endif
