#ifndef _ICMDEVT_INL_
#define _ICMDEVT_INL_ 0
/*******************************************************************************
* FILE NAME: icmdevt.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in icmdevt.hpp.                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _ICMDEVT_
  #undef  _ICMDEVT_INL_
  #define _ICMDEVT_INL_ 1
  #include <icmdevt.hpp>
#endif

#if _ICMDEVT_INL_
  #define inline
#endif

/*------------------------------ ICommandEvent -------------------------------*/
inline unsigned long  ICommandEvent :: commandId ( ) const
  {
  return parameter1().number1();
  }
inline IBase::Boolean  ICommandEvent :: isFromFrame ( ) const
  {
  return (parameter2().number1() & 0x8000) ? true : false;
  }

#endif /* _ICMDEVT_INL_ */
