#ifndef _IDDECSET_INL_
#define _IDDECSET_INL_ 0
/*******************************************************************************
* FILE NAME: iddecset.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in iddecset.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IDDECSET_
  #undef  _IDDECSET_INL_
  #define _IDDECSET_INL_ 1
  #include <iddecset.hpp>
#endif

#if _IDDECSET_INL_
  #define inline
#endif

/****************************************************************/
/*   IDDEActiveServer Member Functions                          */
/****************************************************************/

inline IString IDDEActiveServer :: application ( ) const
/*------------------------------------------------------------------------------
| IDDEActiveServer::application                                                |
------------------------------------------------------------------------------*/
{
   return strClApplication;
}

inline IString IDDEActiveServer :: topic ( ) const
/*------------------------------------------------------------------------------
| IDDEActiveServer::topic                                                      |
------------------------------------------------------------------------------*/
{
   return strClTopic;
}

inline IBase::Boolean IDDEActiveServer :: isCaseSensitive ( ) const
/*------------------------------------------------------------------------------
| IDDEActiveServer::isCaseSensitive                                            |
------------------------------------------------------------------------------*/
{
   return fClCaseSensitive;
}

#endif // _IDDECSET_INL_

