#ifndef _IDMEVENT_INL_
  #define _IDMEVENT_INL_ 0
/*******************************************************************************
* FILE NAME: idmevent.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in idmevent.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IDMEVENT_
  #undef  _IDMEVENT_INL_
  #define _IDMEVENT_INL_ 1
  #include <idmevent.hpp>
#endif

#if _IDMEVENT_INL_
  #define inline
#endif

/*------------------------------------------------------------------------------
| Inlines for IDMSourcePrepareEvent                                            |
------------------------------------------------------------------------------*/
inline Boolean IDMSourcePrepareEvent :: targetCanRetry() const
{
  return (this->bTgtCanRetry);
}

inline Boolean IDMSourcePrepareEvent :: noSourceRendering() const
{
  return (this->bNoSrcRendering);
}

#endif // _IDMEVENT_INL_
