#ifndef _IFRAMEVT_INL_
#define _IFRAMEVT_INL_ 0
/*******************************************************************************
* FILE NAME: iframevt.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in iframevt.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IFRAMEVT_
  #undef  _IFRAMEVT_INL_
  #define _IFRAMEVT_INL_ 1
  #include <iframevt.hpp>
#endif

#if _IFRAMEVT_INL_
  #define inline
#endif

inline IFrameWindow *IFrameEvent :: frame ( ) const
  {
  return this->pFrame;
  }

inline ISWP *IFrameFormatEvent :: swpArray ( ) const
  {
  return (ISWP*)(void*)( this->parameter1() );
  }

#endif // _IFRAMEVT_INL_
