/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
template <class Element, class Key, class ElementOps, class Base>
IBoolean IWKSBagOnSeq <Element, Key, ElementOps, Base>::
removePredicate (Element const& element, void* env) {
  return elementOps().keyOps.compare
           (elementOps().key (element), **(Key const**)env) == 0;
}
