/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IKSSBST_H
#define _IKSSBST_H

#include <ibstkss.h>

template < class Element, class Key, class ElementOps >
class IGKeySortedSetOnGBSTKeySortedSet : public IGBSTKeySortedSet < Element, Key, ElementOps > {
public:
  IGKeySortedSetOnBSTKeySortedSet (INumber n = 100) :
    IGBSTKeySortedSet < Element, Key, ElementOps > (n) {}
};

template < class Element, class Key >
class IKeySortedSetOnBSTKeySortedSet : public IBSTKeySortedSet < Element, Key > {
public:
  IKeySortedSetOnBSTKeySortedSet (INumber n = 100) :
    IBSTKeySortedSet < Element, Key > (n) {}
};

#endif
