/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM C/C++ Tools Version 2.01 - Collection Class Library                    *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IKSSET_H
#define _IKSSET_H

#include <iavlkss.h>

template < class Element, class Key, class ElementOps >
class IGKeySortedSet : public IGAvlKeySortedSet < Element, Key, ElementOps > {
public:
  IGKeySortedSet (INumber n = 100) :
    IGAvlKeySortedSet < Element, Key, ElementOps > (n) {}
};

template < class Element, class Key >
class IKeySortedSet : public IAvlKeySortedSet < Element, Key > {
public:
  IKeySortedSet (INumber n = 100) :
    IAvlKeySortedSet < Element, Key > (n) {}
};

#endif
