#ifndef _IPOPMENU_INL_
#define _IPOPMENU_INL_ 0
/*******************************************************************************
* FILE NAME: ipopmenu.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ipopmenu.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IPOPMENU_
  #undef  _IPOPMENU_INL_
  #define _IPOPMENU_INL_ 1
  #include <ipopmenu.hpp>
#endif


#if _IPOPMENU_INL_
  #define inline
#endif

/*------------------------------------------------------------------------------
   No-opt function in this class.
------------------------------------------------------------------------------*/
inline IPopUpMenu& IPopUpMenu::show(Boolean showMenu)
{ return *this; }

#endif // _IPOPMENU_INL_

