#ifndef _IRESLOCK_INL_
#define _IRESLOCK_INL_ 0
/*******************************************************************************
* FILE NAME: ireslock.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ireslock.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IRESLOCK_
  #undef  _IRESLOCK_INL_
  #define _IRESLOCK_INL_ 1
  #include <ireslock.hpp>
#endif

#ifndef _ITRACE_
   #include <itrace.hpp>
#endif

#if _IRESLOCK_INL_
  #define inline
#endif

/***************************************************************/
/* FUNCTION:  ISharedResource :: keyName                       */
/*                                                             */
/* PURPOSE:   Return the name of the shared key.               */
/***************************************************************/
inline IString ISharedResource :: keyName()
  { return strClKeyName; }

#endif // _IRESLOCK_INL_

