#ifndef _ISETCV_INL_
#define _ISETCV_INL_ 0
/*******************************************************************************
* FILE NAME: isetcv.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in isetcv.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
* CHANGE ACTIVITY:                                                             *
*******************************************************************************/
#ifndef _ISETCV_
  #undef  _ISETCV_INL_
  #define _ISETCV_INL_ 1
  #include <isetcv.hpp>
#endif

#if _ISETCV_INL_
  #define inline
#endif

/*-------------------------------- ISetCanvas --------------------------------*/
inline void  ISetCanvas::setDefaultStyle ( const ISetCanvas::Style& style )
  {
  currentDefaultStyle = style;
  }
inline unsigned long  ISetCanvas::deckCount ( ) const
  {
  return ulClNumDecks;
  }
inline ISize  ISetCanvas::margin ( ) const
  {
  return sizClMargin;
  }
inline ISize  ISetCanvas::pad ( ) const
  {
  return sizClPad;
  }
#endif /* _ISETCV_INL_ */
