#ifndef _ISPLITCV_INL_
#define _ISPLITCV_INL_ 0
/*******************************************************************************
* FILE NAME: isplitcv.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in isplitcv.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
* CHANGE ACTIVITY:                                                             *
*******************************************************************************/
#ifndef _ISPLITCV_
  #undef  _ISPLITCV_INL_
  #define _ISPLITCV_INL_ 1
  #include <isplitcv.hpp>
#endif

#if _ISPLITCV_INL_
  #define inline
#endif

/*------------------------------ ISplitCanvas --------------------------------*/
inline void  ISplitCanvas::setDefaultStyle ( const ISplitCanvas::Style &style )
{
  currentDefaultStyle = style;
}

inline ISplitCanvas::Orientation ISplitCanvas::orientation()const
{
  return (bClVertical ?
            ISplitCanvas::verticalSplit : ISplitCanvas::horizontalSplit);
}

#endif /* _ISPLITCV_INL_ */
