#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __conio_h
   #define __conio_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <conio.h> header file                                           */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #if defined(__EXTENDED__)

      char * _Optlink _cgets( char * );
      int    _Optlink _cprintf( char *, ... );
      int    _Optlink _cputs( char * );
      int    _Optlink _cscanf( char *, ... );
      int    _Optlink _getch( void );
      int    _Optlink _getche( void );
      int    _Optlink _kbhit( void );
      int    _Optlink _putch( int );
      int    _Optlink _ungetch( int );

      int            _Builtin __inpb( const unsigned int );
      unsigned short _Builtin __inpw( const unsigned int );
      unsigned long  _Builtin __inpd( const unsigned int );
      int            _Builtin __outpb( const unsigned int, const int );
      unsigned short _Builtin __outpw( const unsigned int, const unsigned short );
      unsigned long  _Builtin __outpd( const unsigned int, const unsigned long );

      #define _inp( x )       __inpb( x )
      #define _inpw( x )      __inpw( x )
      #define _inpd( x )      __inpd( x )
      #define _outp( x, y )   __outpb( (x), (y) )
      #define _outpw( x, y )  __outpw( (x), (y) )
      #define _outpd( x, y )  __outpd( (x), (y) )

      #define cgets( a )       _cgets( a )
      #define cprintf          _cprintf
      #define cputs( a )       _cputs( a )
      #define cscanf           _cscanf
      #define getch            _getch
      #define getche           _getche
      #define kbhit            _kbhit
      #define putch( a )       _putch( a )
      #define ungetch( a )     _ungetch( a )

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
