#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __search_h
   #define __search_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <search.h> header file                                          */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #if defined(__EXTENDED__)

      #ifndef __size_t
        #define __size_t
        typedef unsigned int size_t;
      #endif

      /* function prototypes */

      char * _Optlink _lsearch( const char *, const char *, unsigned int *,
                                unsigned int, int ( * _Optlink __compare )( const void *, const void * ) );
      char * _Optlink _lfind( const char *, const char *, unsigned int *,
                              unsigned int, int ( * _Optlink __compare )( const void *, const void * ) );

      char * _Optlink lsearch( const char *, const char *, unsigned int *,
                               unsigned int, int ( * _Optlink __compare )( const void *, const void * ) );
      char * _Optlink lfind( const char *, const char *, unsigned int *,
                             unsigned int, int ( * _Optlink __compare )( const void *, const void * ) );

      #pragma map( lsearch, "_lsearch" )
      #pragma map( lfind  , "_lfind"   )

      void * _Optlink bsearch( const void *, const void *, size_t, size_t,
                               int ( * _Optlink __compare )( const void *, const void * ) );
      void   _Optlink qsort( void *, size_t, size_t,
                             int ( * _Optlink __compare )( const void *, const void * ) );

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
