#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __stdstream_h
   #define __stdstream_h

   /********************************************************************/
   /*  <stdiostr.h> header file                                        */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991, 1993.*/
   /*  All rights reserved                                             */
   /*                                                                  */
   /*                                                                  */
   /*                                                                  */
   /*  Licensed Materials - Property of USL                            */
   /*                                                                  */
   /*  Standard Class Library Version 3.0                              */
   /*  Copyright (C) Unix System Laboratories Inc. 1991.               */
   /*  All rights reserved                                             */
   /*                                                                  */
   /********************************************************************/

   /**************************************************************************/
   /*  C++ source for the C++ Language System, Release 3.0.  This product    */
   /*  is a new release of the original cfront developed in the computer     */
   /*  science research center of AT&T Bell Laboratories.                    */
   /*                                                                        */
   /*  Copyright (c) 1991 AT&T and UNIX System Laboratories, Inc.            */
   /*  Copyright (c) 1984, 1989, 1990 AT&T.  All Rights Reserved.            */
   /*                                                                        */
   /*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE of AT&T and UNIX System   */
   /*  Laboratories, Inc.  The copyright notice above does not evidence      */
   /*  any actual or intended publication of such source code.               */
   /*                                                                        */
   /*  UNIX is a registered trademark of UNIX System Laboratories, Inc.      */
   /*                                                                        */
   /*  ident "@(#)ctrans:incl-master/const-headers/stdiostream.h     1.4"    */
   /**************************************************************************/

   #include <iostream.h>
   #include <stdio.h>

   #pragma pack(4)

   class stdiobuf : public streambuf {
           /*** stdiobuf is obsolete, should be avoided ***/
   public: // Virtuals
           virtual int     overflow(int=EOF);
           virtual int     underflow();
           virtual int     sync() ;
           virtual streampos
                           seekoff(streamoff,ios::seek_dir,int) ;
           virtual int     pbackfail(int c);
   public:
                           stdiobuf(FILE* f) ;
           FILE*           stdiofile() { return fp ; }
           virtual         ~stdiobuf() ;
   private:
           FILE*           fp ;
           int             last_op ;
           char            buf[2];
   };

   class stdiostream : public ios {
   public:
                           stdiostream(FILE*) ;
                           ~stdiostream() ;
           stdiobuf*       rdbuf() ;
   private:
           stdiobuf        buf ;
   };

   #pragma pack()

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
