#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __timeb_h
   #define __timeb_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <sys\timeb.h> header file                                       */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #if defined(__EXTENDED__)

      #ifndef  __time_t
         #define __time_t
         typedef long time_t;
      #endif

      #pragma pack( 2 )
      struct timeb
         {
         time_t time;
         unsigned short millitm;
         short timezone;
         short dstflag;
         };
      #pragma pack( )

      void _Optlink _ftime( struct timeb * );

      #define ftime(a) _ftime(a)

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
