#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( none )
#endif
#pragma info( restore )

#ifndef __utime_h
   #define __utime_h

   #ifdef __cplusplus
      extern "C" {
   #endif

   /********************************************************************/
   /*  <sys\utime.h> header file                                       */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C/C++ Tools Version 2.01                                    */
   /*  Copyright (C) International Business Machines Corp., 1991,1993  */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/

   #if defined(__EXTENDED__)

      #ifndef  __time_t
         #define __time_t
         typedef long time_t;
      #endif

      /* define struct used by _utime() function */

      struct utimbuf
         {
         time_t actime;          /* access time */
         time_t modtime;         /* modification time */
         };

      /* function prototypes */

      int _Optlink _utime( char *, struct utimbuf * );

      #define utime(a,b) _utime((a),(b))

   #endif

   #ifdef __cplusplus
      }
   #endif

#endif

#pragma info( none )
#ifndef __CHKHDR__
   #pragma info( restore )
#endif
#pragma info( restore )
