#ifndef ACNREXWINDOW_H
#define ACNREXWINDOW_H
/******************************************************************************/
/* Container Sample Program - H File (ACNR.H)                                 */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
/* NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE          */
/******************************************************************************/

#define WND_MAIN         0x1000         //Main Window ID
#define WND_DEPT         0x1001         //Department Window ID

#define WND_CNREX        0x1010         //CNREX Window ID
#define CNR_RESID        0x1011

#define IBMLOGO          0x1110
#define CLOGO            0x1111
#define WLOGO            0x1114
#define OSLOGO           0x1115

#define ID_POPMENU       0x1200
#define MI_EDRECORD      0x1210
#define MI_EDNAME        0x1220
#define MI_EDCODE        0x1230
#define MI_EDADDRESS     0x1240

#define MI_FILE          0x1520         //File Menu ID
#define MI_HELP          0x1504         //Help Menu ID
#define MI_EDIT          0x1511
#define MI_OPTION        0x1512

#define ID_VIEWS           3000
#define ID_VTEXT           3001
#define ID_VFTEXT          3002
#define ID_VNAME           3003
#define ID_VFNAME          3004
#define ID_VDETAILS        3005
#define ID_VTICON          3006
#define ID_VTTEXT          3007
#define ID_VTNAME          3008
#define ID_VICON           3009
#define ID_VARRANGE        3010
#define ID_FILTERS         3011
#define ID_FILTER1         3012
#define ID_FILTER2         3013
#define ID_MARKALL         3015
#define ID_UNMARKALL       3016

#endif
