#ifndef ATIMEHANDER_HPP
#define ATIMEHANDER_HPP
/******************************************************************************/
/* HELLO WORLD SAMPLE PROGRAM - Version 6: Class Header (ATIMEHDR.HPP)        */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
// NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE

//**************************************************************************
// The entire file was created at version 6                                *
//**************************************************************************

#include <ihandler.hpp>                 //Include IHandler

class ATimeHandler : public IHandler  //Create ATimeHandler Class
{
  public:
            Boolean   dispatchHandlerEvent(IEvent& evt);
            IHandler& handleEventsFor(IWindow *window);
            IHandler& stopHandlingEventsFor(IWindow *window );
  protected:
    virtual Boolean tick(IEvent& evt);  //Send Tick for every WM_TIMER
} ;
#endif
