/******************************************************************************/
/* HELLO WORLD SAMPLE PROGRAM - Version 6: Create WPS Folder (HELLOWPS.CPP)   */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
Call RxFuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

'@echo off'

curDir=directory()

RetCode = SysCreateObject( "WPFolder", "C++ Hello World", "<WP_DESKTOP>", "OBJECTID=<CppHelloFolder>")

if RetCode then
  say 'C++ Hello World Foiler has been created'
else do
  say 'Error creating C++ Hello World (WPFolder)'
  end

RetCode = SysCreateObject( "WPProgram", "English Hello World", "<CppHelloFolder>", "OBJECTID=<Helloe>;EXENAME="curDir"\HELLO6.EXE;PROGTYPE=PM;STARTUPDIR="curDir";ICONFILE="curDir"\ahellow6.ico;ASSOCFILTER=*.hlo;ASSOCTYPE=Plain Text")

if RetCode then
  say 'English C++ Hello World Program 6 Workplace Object has been created'
else do
  say 'Error creating English C++ Hellow World (WPProgram)'
  end

RetCode = SysCreateObject( "WPProgram", "German Hello World", "<CppHelloFolder>", "OBJECTID=<Hellog>;EXENAME="curDir"\HELLO6.EXE;PROGTYPE=PM;STARTUPDIR="curDir";ICONFILE="curDir"\germany.ico;PARAMETERS=/g")

if RetCode then
  say 'German C++ Hello World Program 6 Workplace Object has been created'
else do
  say 'Error creating German C++ Hellow World (WPProgram)'
  end

RetCode = SysCreateObject( "WPProgram", "Portuguese Hello World", "<CppHelloFolder>", "OBJECTID=<Hellop>;EXENAME="curDir"\HELLO6.EXE;PROGTYPE=PM;STARTUPDIR="curDir";ICONFILE="curDir"\brazil.ico;PARAMETERS=/p")

if RetCode then
  say 'Portuguese C++ Hello World Program 6 Workplace Object has been created'
else do
  say 'Error creating Portuguese C++ Hellow World (WPProgram)'
  end
