#ifndef AMCELCV_H
#define AMCELVC_H
/******************************************************************************/
/* Canvas Classes Example 3 - Multi Cell Canvas                               */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
/* NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE          */
/******************************************************************************/

#define WND_MAIN          0x1000         // main window id

#define WND_STATUS        0x1001         // window ids of controls
#define WND_MCCANVAS      0x1002
#define WND_TITLE1        0x1003
#define WND_TITLE2        0x1004
#define WND_RADIO1        0x1005
#define WND_RADIO2        0x1006
#define WND_CHECK1        0x1007
#define WND_CHECK2        0x1008
#define WND_PUSHBUT       0x1009

#define STR_STATUS        0x2000         // string table ids
#define STR_TITLE1        0x2001
#define STR_TITLE2        0x2002
#define STR_CHECK1        0x2003
#define STR_CHECK2        0x2004
#define STR_RADIO1        0x2005
#define STR_RADIO2        0x2006
#define STR_PUSHBUT       0x2007
#define STR_PUSHED        0x2008
#define STR_MSGBOX        0x2009
#define STR_CHK1_SEL      0x200A
#define STR_CHK1_NOSEL    0x200B
#define STR_CHK2_SEL      0x200C
#define STR_CHK2_NOSEL    0x200D
#define STR_RAD1_SEL      0x200E
#define STR_RAD2_SEL      0x200F

#endif
