/*+--------------------------------------------------------------------------+*/
/*|                                                                          |*/
/*| PROGRAM NAME: PMLINES                                                    |*/
/*| -------------                                                            |*/
/*|  A Simple OS/2 Presentation Manager Graphics Demonstration Program       |*/
/*|                                                                          |*/
/*| COPYRIGHT:                                                               |*/
/*| ----------                                                               |*/
/*|  Copyright (C) International Business Machines Corp., 1991,1992,1993.    |*/
/*|                                                                          |*/
/*| DISCLAIMER OF WARRANTIES:                                                |*/
/*| -------------------------                                                |*/
/*|  The following [enclosed] code is sample code created by IBM Corporation.|*/
/*|  This sample code is not part of any standard IBM product and is provided|*/
/*|  to you solely for the purpose of assisting you in the development of    |*/
/*|  your applications.  The code is provided "AS IS", without warranty of   |*/
/*|  any kind.  IBM shall not be liable for any damages arising out of your  |*/
/*|  use of the sample code, even if they have been advised of the           |*/
/*|  possibility of such damages.                                            |*/
/*|                                                                          |*/
/*| REVISION LEVEL: 1.0                                                      |*/
/*| ---------------                                                          |*/
/*|                                                                          |*/
/*+--------------------------------------------------------------------------+*/

/*+--------------------------------------------------------------------------+*/
/*| Menu item identifiers.                                                   |*/
/*+--------------------------------------------------------------------------+*/

#define IDM_EXIT             257
#define IDM_EXITPROG         258
#define IDM_RESUME           259
#define IDD_HELP             260
#define IDM_HELP             261
#define IDM_HELPINSTRUCTIONS 262
#define IDM_HELPABOUT        263

/*+--------------------------------------------------------------------------+*/
/*| String identifiers.                                                      |*/
/*+--------------------------------------------------------------------------+*/

#define IDS_APPNAME          0
#define IDS_NOREGISTER       1
#define IDS_NOSTDWINDOWS     2
#define IDS_NOTHREAD         3
#define IDS_SEMERROR         4

/*+--------------------------------------------------------------------------+*/
/*| Resource identifiers.                                                    |*/
/*+--------------------------------------------------------------------------+*/

#define ID_NULL              9999
#define ID_WINDOW            256

/*+--------------------------------------------------------------------------+*/
/*| Macro constants.                                                         |*/
/*+--------------------------------------------------------------------------+*/

#define INSTRUCTIONS "Press Mouse Button 1 to Change Foreground Color, Mouse Button 2 to Clear.  Double Click Mouse Button 1 to Change Background Color."
#define START_DELTA_X -3
#define START_DELTA_Y -5
#define END_DELTA_X    7
#define END_DELTA_Y    5

#define WM_USER_END_THREAD WM_USER+1        /* paint thread end message       */
#define WM_USER_REPAINT    WM_USER+2        /* paint thread repaint message   */
